% Note: This code does not treat DOS and IDOS. It accepts the 2D E-k relationship and calculates ballistic I-V
% Author: Anisur Rahma
% Date: Feb 6, 2003
% modified on April 8, 2004
% Datta's Compact model for ballistic MOSFETs
% School of ECE, Purdue University, W. Lafayette, In-47907.

close all
clear all
clc
input_file;
run .\subroutines\assign_parameters.m;

tic
for kk= 1:n_Angl
    for jj = 1:n_Vg
        for ii = 1:n_Vd
            Vgj=Vg(jj);
	        Vdi=Vd(ii);
	        UL=-(alphag*Vgj)-(alphad*Vdi);  % Laplace potential
            UP=0;                           % Poisson potential
            Uscf=UL+UP;                     % Self-consistent potential
	        dU=1;
            II_pos=find(Vel_x>=0);
            II_neg=find(Vel_x<0);
            mu(II_pos)=Ef;
            mu(II_neg)=Ef-Vdi;
	        while dU>.001
                
                for ll=1:num_bands
                    % Velocity components in the transport direction
                    Vel(:,:,ll)=Vel_x(:,:,ll)*cos(Angl(kk))+Vel_y(:,:,ll)*sin(Angl(kk));
                    ferm(:,:,ll)=(1./(1+exp((squeeze(E(:,:,ll))+Uscf-squeeze(mu(:,:,ll)))/kT)));
                    N(:,:,ll)=n_states*ferm(:,:,ll);
                    A_tmp=isnan(N(:,:,ll));A_tmp=find(A_tmp==1);N_tmp=N(:,:,ll);N_tmp(A_tmp)=0;
                    Nll(ii,jj,kk,ll) = sum(sum( N_tmp)); % note: valley degeneracy 'NOT' hardwired
                    dN(ii,jj,kk,ll)=Nll(ii,jj,kk,ll)-N0ii(ll);
                end
                
		        UPnew=U0*sum(squeeze(dN(ii,jj,kk,:)));
                dU=abs(UP-UPnew);
		        UP=UP+0.1*(UPnew-UP);
                Uscf=UL+UP;
	        end
            
            for ll=1:num_bands
                I_tmp=q*(n_states*(squeeze(ferm(:,:,ll).*squeeze(Vel(:,:,ll)))));
                A_tmp=isnan(I_tmp);A_tmp=find(A_tmp==1);I_tmp(A_tmp)=0;
           	    I(ii,jj,kk,ll)=sum(sum(I_tmp));
            end
        end
    end
end
toc
I=squeeze(I); sum(I)
dN=squeeze(dN);
% save results.mat -mat
%plot_fig;
disp('End of file')