% Plotting Results
lwpl=2;                       % Plot line width
lwbor=1;                      % Border line width
fsize=14;                     % Font size

% Plotting Id-Vg (Semilog)
figure(1);
h1=semilogy(V,I(2,:),'k');
hold on;
h2=semilogy(V,I(NV,:),'k');
%set(gca,'Fontsize',[fsize],'linewidth',[lwbor],'plotboxaspectratio',[2,1,1]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('I_{DS} [\muA/\mum]');
set(h1,'linewidth',[lwpl]);
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
grid on
%axis tight;
print -dps Ids_vs_Vg_log;

% Plotting Id-Vg (linear)
figure(2);
h1=plot(V,I(2,:),'k');
hold on;
h2=plot(V,I(NV,:),'k');
%set(gca,'Fontsize',[fsize],'linewidth',[lwbor],'plotboxaspectratio',[2,1,1]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('I_{DS} [\muA/\mum]');
set(h1,'linewidth',[lwpl]);
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
grid on
%axis tight;
print -dps Ids_vs_Vg_lin;

% Plotting Id-Vd
figure(3);
h1=plot(V,I(:,NV));
hold on;
h2=plot(V,I(:,NV-1));
h3=plot(V,I(:,NV-2));
h4=plot(V,I(:,NV-3));
h5=plot(V,I(:,NV-4));
h6=plot(V,I(:,NV-5));
h7=plot(V,I(:,NV-6));
%set(gca,'Fontsize',[fsize],'linewidth',[lwbor],'plotboxaspectratio',[2,1,1]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
set(h1,'linewidth',[lwpl],'color','k');
set(h2,'linewidth',[lwpl],'color','k');
set(h3,'linewidth',[lwpl],'color','k');
set(h4,'linewidth',[lwpl],'color','k');
set(h5,'linewidth',[lwpl],'color','k');
set(h6,'linewidth',[lwpl],'color','k');
set(h7,'linewidth',[lwpl],'color','k');
xlabel('V_D [Volt]');
ylabel('I_{DS} [\muA/\mum]');
set(gca,'xlim',[V(1) V(NV)]);
grid on
%axis tight;
print -dps Ids_vs_Vd;

