% This function analyically calculates the self-consistent potential at the
% top of the barrier
%function Uscf_zero=Uscf_zero(Uscf,N2D,mu1,mu2,kT,UL,UC,N0)
function Uscf_zero=Uscf_zero(Uscf)

global UL
global N2D
global mu1
global mu2
global kT
global UC 
global N0

%N2D=Vdegen*(meff/(pi*hbar^2))*kT*q;
%mu1=Ef+dmu1;
%mu2=mu1-Vd;
%kT=kB*T/q;
%UL=-(alphag*Vg)-(alphad*Vd);
%UC=q/C_SIG;
%N0=N2D*log(1+exp(Ef/kT));


Uscf_zero=(UL+UC*(0.5*N2D*log((1+exp((mu1-Uscf)/kT))*(1+exp((mu2-Uscf)/kT)))-N0))-Uscf;
% Equation (8a)in [1] can be expressed as f(Uscf)=0. Please note, from eqs.
% (4a),(4b) and (7c).  del_N is a function of Uscf too.  The function
% f(Uscf)=0 is written here as Uscf_zero.
