% Plotting Results
% Original: Anisur Rahman
% Modified By:
%       Jing Wang
%       Sayed Hasan (05/26/2004)
%-------------------------------------------------------------------------
lwpl=2;                       % Plot line width
lwbor=1;                      % Border line width
fsize=18;                     % Font size

string_matrix=[];
for m=1:NV,
    string_matrix = strvcat(string_matrix, ['Vgs = ', num2str(V(m),3)]);
end
% Plotting Id-Vg (Semilog)
figure(2);
if (NV > 1),
    h1=semilogy(V,I([2,NV],:));
    set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
    legend(['V_{Ds}=',num2str(V(2),3)],['V_{Ds}=',num2str(V(end),3)], 2);
else
    h1=semilogy(V,I, 'k');
end
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('I_{DS} [A]');
set(h1,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
print -dpsc Id_vs_Vgs_log;

% Plotting Id-Vg (linear)
figure(1);
if (NV > 1),
    h1=plot(V,I([2,NV],:));
    set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
    legend(['V_{Ds}=',num2str(V(2),3)],['V_{Ds}=',num2str(V(end),3)], 2);
else
    h1=plot(V,I, 'k');
end
set(h1,'linewidth',[lwpl]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('I_{DS} [A]');
set(h1,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
print -dpsc Id_vs_Vgs_lin;

% Plotting Id-Vd
figure(3);
h1 = plot(V, I);
legend(string_matrix, -1);
%set(gca,'Fontsize',[fsize],'linewidth',[lwbor],'plotboxaspectratio',[2,1,1]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
set(h1,'linewidth',[lwpl]);
xlabel('V_D [Volt]');
ylabel('I_{DS} [A]');
set(gca,'xlim',[V(1) V(NV)]);
print -dpsc Id_vs_Vds;

figure(4)
h2 = plot(V, q*N([2,NV],:));
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('mobile charge [C/m]');
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
legend(['V_{Ds}=',num2str(V(2),3)],['V_{Ds}=',num2str(V(end),3)], 2);
print -dpsc N_vs_Vgs_lin;

figure(5)
h2 = semilogy(V, abs(q*N([2,NV],:)));
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('mobile charge [C/m]');
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
legend(['V_{Ds}=',num2str(V(2),3)],['V_{Ds}=',num2str(V(end),3)], 4);
print -dpsc N_vs_Vgs_log;

figure(6);
h2=plot(V,q*N);
legend(string_matrix, -1);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_D [Volt]');
ylabel('mobile charge [C/m]');
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
print -dpsc N_vs_Vds;

figure(12);
h2=plot(V,CQ);
%set(gca,'Fontsize',[fsize],'linewidth',[lwbor],'plotboxaspectratio',[2,1,1]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('quantum capacitance [F/m]');
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
legend(['V_{Ds}=',num2str(V(2),3)],['V_{Ds}=',num2str(V(end),3)], 4);
print -dpsc CQ_vs_Vgs;

figure(13);
h2=plot(V,v_ave);
%set(gca,'Fontsize',[fsize],'linewidth',[lwbor],'plotboxaspectratio',[2,1,1]);
set(gca,'Fontsize',[fsize],'linewidth',[lwbor]);
xlabel('V_G [Volt]');
ylabel('average velocity [m/s]');
set(h2,'linewidth',[lwpl]);
set(gca,'xlim',[V(1) V(NV)]);
print -dpsc Velocity_vs_Vgs;
